PFE 0.33.71

Homepage
SourceForge
Download
Documentation
-Overview
-The PFE Manual
old manual / (book)
-ChangeLog
-Authors
-License (LGPL)
-Wordsets / (book)
-Functions .. (book)
-Dp of ANS Forth
-The 4thTutor
-Forthprimer.pdf
- Old Wordsets
- Old Words List
Forth Links
* Forth Repository
* Taygeta Compilation
* TinyBoot FirmWare
* FiCL, Free Forth
* Research Vienna
* Research Bournemouth
* zForth WebRing
Other Links
* Tektronix/MPT
* Forth Org. (FIG)
* Forth Inc.
* MPE Ltd. Forths
* SF Win32Forth
* PD Win32Forth
* Neil Bawd

generated
(C) Guido U. Draheim
guidod@gmx.de

## FILE-Misc

> Compatibility words

`INCLUDE``( "filename" -- ??? )``[FTH]` => `[FORTH]`

  load the specified file, see also `LOAD"` filename"

  primitive code = [p4_include]

`COPY-FILE``( src-ptr src-len dst-ptr dst-len -- copy-errno# )``[FTH]` => `[FORTH]`

  like `RENAME-FILE`, copies the file from src-name to dst-name and returns an error-code or null

  primitive code = [p4_copy_file]

`MOVE-FILE``( src-ptr src-len dst-ptr dst-len -- move-errno# )``[FTH]` => `[FORTH]`

  like `RENAME-FILE`, but also across-volumes moves the file from src-name to dst-name and returns an error-code or null

  primitive code = [p4_move_file]

`FILE-R/W``( buffer* use-block# flag? some-file* -- )``[FTH]` => `[FORTH]`

  like FIG-Forth `R/W`

  primitive code = [p4_file_rw]

`FILE-BLOCK``( use-block# some-file* -- buffer* )``[FTH]` => `[FORTH]`

  primitive code = [p4_file_block]

`FILE-BUFFER``( use-block# some-file* -- buffer* )``[FTH]` => `[FORTH]`

  primitive code = [p4_file_buffer]

`FILE-EMPTY-BUFFERS``( some-file* -- )``[FTH]` => `[FORTH]`

  primitive code = [p4_file_empty_buffers]

`FILE-FLUSH``( some-file* -- )``[FTH]` => `[FORTH]`

        simulate      : FILE-FLUSH DUP FILE-SAVE-BUFFERS FILE-EMTPY-BUFFERS ;

  primitive code = [p4_file_flush]

`FILE-LIST``( use-block# some-file* -- )``[FTH]` => `[FORTH]`

  primitive code = [p4_file_list]

`FILE-LOAD``( use-block# some-file* -- )``[FTH]` => `[FORTH]`

  primitive code = [p4_file_load]

`FILE-SAVE-BUFFERS``( some-file* -- )``[FTH]` => `[FORTH]`

  primitive code = [p4_file_save_buffers]

`FILE-THRU``( lo-block# hi-block# some-file* -- )``[FTH]` => `[FORTH]`

  see `THRU`

  primitive code = [p4_file_thru]

`FILE-UPDATE``( some-file* -- )``[FTH]` => `[FORTH]`

  primitive code = [p4_file_update]